NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::RibBuilder Class Reference

Represents a Features::Rib builder
To create a new instance of this class, use NXOpen::Features::DesignFeatureCollection::CreateRibBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::RibBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  RibCapGeometryOptions { RibCapGeometryOptionsFromSection, RibCapGeometryOptionsFromSelected }
 These represent the options for the Rib cap. More...
 
enum  RibDraftOptions { RibDraftOptionsNone, RibDraftOptionsFromCap }
 These represent the options for drafting the Rib. More...
 
enum  RibThicknessOffsetOptions { RibThicknessOffsetOptionsSymmetric, RibThicknessOffsetOptionsAsymmetric }
 These represent the options for Rib Walls Offset. More...
 
enum  RibTypes { RibTypesPerpendiculartoSectionPlane, RibTypesParalleltoSectionPlane }
 These represent the options for Rib type. More...
 

Public Member Functions

NXOpen::ScCollectorCappingFaces ()
 Returns the capping datum or faces
Created in NX9.0.0. More...
 
bool CombineRibWithTarget ()
 Returns the combine rib with target flag
Created in NX9.0.0. More...
 
NXOpen::ExpressionDraftAngle ()
 Returns the draft angle
Created in NX9.0.0. More...
 
bool ReverseOffsetDirection ()
 Returns the reverse offset direction flag. More...
 
bool ReverseRibDirection ()
 Returns the reverse rib direction flag. More...
 
bool ReverseThicknessDirection ()
 Returns the reverse thickness direction flag. More...
 
NXOpen::Features::RibBuilder::RibCapGeometryOptions RibCapGeometryOption ()
 Returns the rib cap geometry
Created in NX9.0.0. More...
 
NXOpen::ExpressionRibCapOffset ()
 Returns the rib cap offset
Created in NX9.0.0. More...
 
NXOpen::Features::RibBuilder::RibDraftOptions RibDraftOption ()
 Returns the rib draft options
Created in NX9.0.0. More...
 
NXOpen::ExpressionRibThickness ()
 Returns the rib thickness
Created in NX9.0.0. More...
 
NXOpen::Features::RibBuilder::RibThicknessOffsetOptions RibThicknessOffsetOption ()
 Returns the rib walls offset type
Created in NX9.0.0. More...
 
NXOpen::Features::RibBuilder::RibTypes RibType ()
 Returns the rib type
Created in NX9.0.0. More...
 
NXOpen::SectionSection ()
 Returns the input section
Created in NX9.0.0. More...
 
void SetCombineRibWithTarget (bool combineRibWithTarget)
 Sets the combine rib with target flag
Created in NX9.0.0. More...
 
void SetReverseOffsetDirection (bool reverseOffsetDirection)
 Sets the reverse offset direction flag. More...
 
void SetReverseRibDirection (bool reverseRibDirection)
 Sets the reverse rib direction flag. More...
 
void SetReverseThicknessDirection (bool reverseThicknessDirection)
 Sets the reverse thickness direction flag. More...
 
void SetRibCapGeometryOption (NXOpen::Features::RibBuilder::RibCapGeometryOptions ribCapGeometryOption)
 Sets the rib cap geometry
Created in NX9.0.0. More...
 
void SetRibDraftOption (NXOpen::Features::RibBuilder::RibDraftOptions ribDraftOption)
 Sets the rib draft options
Created in NX9.0.0. More...
 
void SetRibThicknessOffsetOption (NXOpen::Features::RibBuilder::RibThicknessOffsetOptions ribThicknessOffsetOption)
 Sets the rib walls offset type
Created in NX9.0.0. More...
 
void SetRibType (NXOpen::Features::RibBuilder::RibTypes ribType)
 Sets the rib type
Created in NX9.0.0. More...
 
NXOpen::ScCollectorTargetBody ()
 Returns the target body
Created in NX9.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Features::Rib builder
To create a new instance of this class, use NXOpen::Features::DesignFeatureCollection::CreateRibBuilder
Default values.

Property Value

CombineRibWithTarget

1

DraftAngle.Value

1

RibCapGeometryOption

FromSection

RibCapOffset.Value

0 (millimeters part), 0 (inches part)

RibDraftOption

None

RibThickness.Value

2 (millimeters part), 0.1 (inches part)

RibThicknessOffsetOption

Symmetric

RibType

PerpendiculartoSectionPlane


Created in NX9.0.0.

Member Enumeration Documentation

These represent the options for the Rib cap.

Enumerator
RibCapGeometryOptionsFromSection 

Cap from section.

RibCapGeometryOptionsFromSelected 

Cap from selected.

These represent the options for drafting the Rib.

Enumerator
RibDraftOptionsNone 

No Draft.

RibDraftOptionsFromCap 

Draft from cap.

These represent the options for Rib Walls Offset.

Enumerator
RibThicknessOffsetOptionsSymmetric 

Symmetric Offset.

RibThicknessOffsetOptionsAsymmetric 

Asymmetric Offset.

These represent the options for Rib type.

Enumerator
RibTypesPerpendiculartoSectionPlane 

Perpendicular to Section Plane.

RibTypesParalleltoSectionPlane 

Parallel to Section Plane.

Member Function Documentation

NXOpen::ScCollector* NXOpen::Features::RibBuilder::CappingFaces ( )

Returns the capping datum or faces
Created in NX9.0.0.



License requirements : None

bool NXOpen::Features::RibBuilder::CombineRibWithTarget ( )

Returns the combine rib with target flag
Created in NX9.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::RibBuilder::DraftAngle ( )

Returns the draft angle
Created in NX9.0.0.



License requirements : None

bool NXOpen::Features::RibBuilder::ReverseOffsetDirection ( )

Returns the reverse offset direction flag.

Indicates whether the Rib Cap Offset direction has been flipped from its initial inferred direction
Created in NX9.0.0.

License requirements : None

bool NXOpen::Features::RibBuilder::ReverseRibDirection ( )

Returns the reverse rib direction flag.

Indicates whether the Rib direction has been flipped from its initial inferred direction
Created in NX9.0.0.

License requirements : None

bool NXOpen::Features::RibBuilder::ReverseThicknessDirection ( )

Returns the reverse thickness direction flag.

Indicates whether the Thickness direction has been flipped from its initial inferred direction
Created in NX9.0.0.

License requirements : None

NXOpen::Features::RibBuilder::RibCapGeometryOptions NXOpen::Features::RibBuilder::RibCapGeometryOption ( )

Returns the rib cap geometry
Created in NX9.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::RibBuilder::RibCapOffset ( )

Returns the rib cap offset
Created in NX9.0.0.



License requirements : None

NXOpen::Features::RibBuilder::RibDraftOptions NXOpen::Features::RibBuilder::RibDraftOption ( )

Returns the rib draft options
Created in NX9.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::RibBuilder::RibThickness ( )

Returns the rib thickness
Created in NX9.0.0.



License requirements : None

NXOpen::Features::RibBuilder::RibThicknessOffsetOptions NXOpen::Features::RibBuilder::RibThicknessOffsetOption ( )

Returns the rib walls offset type
Created in NX9.0.0.



License requirements : None

NXOpen::Features::RibBuilder::RibTypes NXOpen::Features::RibBuilder::RibType ( )

Returns the rib type
Created in NX9.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::RibBuilder::Section ( )

Returns the input section
Created in NX9.0.0.



License requirements : None

void NXOpen::Features::RibBuilder::SetCombineRibWithTarget ( bool  combineRibWithTarget)

Sets the combine rib with target flag
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
combineRibWithTargetcombineribwithtarget
void NXOpen::Features::RibBuilder::SetReverseOffsetDirection ( bool  reverseOffsetDirection)

Sets the reverse offset direction flag.

Indicates whether the Rib Cap Offset direction has been flipped from its initial inferred direction
Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
reverseOffsetDirectionreverseoffsetdirection
void NXOpen::Features::RibBuilder::SetReverseRibDirection ( bool  reverseRibDirection)

Sets the reverse rib direction flag.

Indicates whether the Rib direction has been flipped from its initial inferred direction
Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
reverseRibDirectionreverseribdirection
void NXOpen::Features::RibBuilder::SetReverseThicknessDirection ( bool  reverseThicknessDirection)

Sets the reverse thickness direction flag.

Indicates whether the Thickness direction has been flipped from its initial inferred direction
Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
reverseThicknessDirectionreversethicknessdirection
void NXOpen::Features::RibBuilder::SetRibCapGeometryOption ( NXOpen::Features::RibBuilder::RibCapGeometryOptions  ribCapGeometryOption)

Sets the rib cap geometry
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
ribCapGeometryOptionribcapgeometryoption
void NXOpen::Features::RibBuilder::SetRibDraftOption ( NXOpen::Features::RibBuilder::RibDraftOptions  ribDraftOption)

Sets the rib draft options
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
ribDraftOptionribdraftoption
void NXOpen::Features::RibBuilder::SetRibThicknessOffsetOption ( NXOpen::Features::RibBuilder::RibThicknessOffsetOptions  ribThicknessOffsetOption)

Sets the rib walls offset type
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
ribThicknessOffsetOptionribthicknessoffsetoption
void NXOpen::Features::RibBuilder::SetRibType ( NXOpen::Features::RibBuilder::RibTypes  ribType)

Sets the rib type
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
ribTyperibtype
NXOpen::ScCollector* NXOpen::Features::RibBuilder::TargetBody ( )

Returns the target body
Created in NX9.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.